WL-134 Pet Tag Sensor
=====================

.. seo::
    :description: Instructions for setting up WL-134 text sensors.
    :image: fingerprint.svg

The ``wl_134`` text sensor platform exposes the last read pet tag as text sensor.

.. code-block:: yaml

    # Example configuration entry
    uart:
      rx_pin: GPIO17
      baud_rate: 9600

    text_sensor:
      - platform: wl_134
        name: Transponder Code
        reset: true

Configuration variables:
------------------------

- **reset** (*Optional*, boolean): Reset the text sensor state back to "" 1s after reading a tag. Defaults to ``false``.
- All options from :ref:`Text Sensor <config-text_sensor>`.

See Also
--------

- :apiref:`wl_134/wl_134.h`
- :ghedit:`Edit`
